/* Reset some default styles */
body, html {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Gallery container */
.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 10px;
    padding: 10px;
}

/* Gallery item */
.gallery-item {
    overflow: hidden;
    border: 2px solid #ddd;
    border-radius: 8px;
    align-items: center;
}

/* Responsive images */
.gallery-item img {
    width: 100%;
    height: auto;
    display: block;
    transition: transform 0.3s ease;
}

/* Add a zoom effect on hover */
.gallery-item:hover img {
    transform: scale(1.05);
}
.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
}

div {
display: flex;
justify-content: center;
align-items: center;
}



/* styles.css */

.image-container {
    display: inline-block;
}

img {
    max-width: 100%;
    height: auto;
    cursor: pointer;
}

.popup {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    overflow: auto;
    z-index: 1000;
}

.popup-content {
    margin: auto;
    display: block;
    max-width: 80%;
    max-height: 80%;
}

.close {
    position: absolute;
    top: 10px;
    right: 25px;
    color: #fff;
    font-size: 35px;
    font-weight: bold;
    cursor: pointer;
}
